ELF32_GETPHDR(3)

NAME
elf32_getphdr, elf64_getphdr - retrieve the program header table for a 32-bit or 64-bit ELF object file

SYNOPSIS
#include <libelf.h>
Elf32_Phdr *elf32_getphdr(Elf *elf);
Elf64_Phdr *elf64_getphdr(Elf *elf);

DESCRIPTION
Retrieve the program header table for the given ELF descriptor elf. The number of elements in the program header table can be retrieved with elf32_getphdrnum and elf64_getphdrnum. elf32_newphdr and elf64_newphdr change the size of the program header table or to delete it. If changing an element of the program header table, you must call elf_flagphdr with ELF_C_SET and ELF_F_DIRTY in order to write the new data to disk.

PARAMETERS

elf ELF descriptor from which to retrieve the program header table.

RETURN VALUE
On success, return a pointer to the program header table. Return NULL if there is no program header. On failure, return NULL and set a libelf error code.

SEE ALSO
elf32_newphdr(3), elf_errno(3), elf_getphdrnum(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.